summaryrefslogtreecommitdiff
path: root/include/err.sh
diff options
context:
space:
mode:
Diffstat (limited to 'include/err.sh')
-rwxr-xr-xinclude/err.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/include/err.sh b/include/err.sh
index 9f7c63b0..466e427b 100755
--- a/include/err.sh
+++ b/include/err.sh
@@ -1,6 +1,15 @@
# SPDX-License-Identifier: MIT
# SPDX-FileCopyrightText: 2022, 2023 Leah Rowe <leah@libreboot.org>
+xfail=""
+
+x_() {
+ [ $# -lt 1 ] || ${@} || err "${@}"
+}
+xx_() {
+ [ $# -lt 1 ] || ${@} || fail "${@}"
+}
+
setvars()
{
_setvars=""